#
# smtpclient.rb version 1.3.3
#
#   Copyright (c) 1999,2000 Minero Aoki <aamine@dp.u-netsurf.ne.jp>
#
#   This program is free software.
#   You can distribute/modify this program under the terms of
#   the GNU Lesser General Public License version 2 or later.
#

require 'inetclient'
require 'net/smtp'


if INETclient::NoPass then
  class INET_SMTP_C < Net::SMTP
    protocol_param :socket_type, INETsocket
  end
else
  INET_SMTP_C = Net::SMTP
end

class SMTPclient < INETclient

  def initialize( addr = 'localhost', port = 25 )
    @session = INET_SMTP_C.new( addr, port )
  end

  def sendmail( mailsrc, fromaddr, toaddrs )
    @session.sendmail( mailsrc, fromaddr, toaddrs )
  end

end

SMTPClient = SMTPclient
